using IRaCIS.Core.Domain.Share;
namespace IRaCIS.Core.Domain.Models;

[Comment("系统标准 - 病灶器官表 （需要同步）")]
[Table("CriterionNidusSystem")]
public class CriterionNidusSystem : BaseAddAuditEntity
{
    #region 导航属性
    [ForeignKey("CriterionId")]
    [JsonIgnore]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }
    #endregion

    public Guid CriterionId { get; set; }

    public bool IsSystemCriterion { get; set; }

    [Comment("病灶类型")]
    public LesionType LesionType { get; set; }

    [Comment("器官类型")]
    public OrganType OrganType { get; set; }
}
